function [outputArg] = plot_tires_firctionCircle(panel, pltData, tr)
    % create tiledlayout (R2023a and newer)
    
    tl = tiledlayout(panel,"flow");

    ax1 = nexttile(tl);
    hold(ax1, "on")
    grid(ax1, "on")
    title(ax1, "Friction Circle")
    ylabel(ax1, "Longitudinal Acc [g]")
    xlabel(ax1, "Lateral Acc [g]")
    colors = colororder(ax1);

    % old code for reference
    % for i = 1:length(selected_laps)
    %     plot(ax1,pltData(selected_laps(i)).acc_lat_g, ...
    %         pltData(selected_laps(i)).acc_long_g,"Color",colors(i,:))
    %     K = convhull(pltData(selected_laps(i)).acc_lat_g, pltData(selected_laps(i)).acc_long_g);
    %     plot(ax1,pltData(selected_laps(i)).acc_lat_g(K), ...
    %         pltData(selected_laps(i)).acc_long_g(K),"Color",colors(i,:),"LineStyle","--","LineWidth",2)
    % end


    plot(ax1,pltData.acc_lat_g(tr,:), pltData.acc_long_g(tr,:))
    K = convhull(pltData.acc_lat_g(tr,:), pltData.acc_long_g(tr,:));
    plot(ax1,pltData.acc_lat_g(K), pltData.acc_long_g(K))
    % return null (not relevant for plots!)
    outputArg = [];
end

